package com.jeequan.jeepay.core.interfaces.paychannel;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jeequan.jeepay.core.model.params.IsvParams;

import java.util.List;

/*
* @Description: 获取mcc、银行编码、省市编码等
* @author zx
* @date 2021/5/2 15:10
*/
public interface IApplymentResourceService {

    /** 获取mcc **/
    String getMcc();

    /** 获取银行编码 **/
    IPage<JSONObject> getBankCode(IPage<JSONObject> iPage, JSONObject queryParams);

    /** 获取省市编码  **/
    List<JSONObject> getAreaCode(IsvParams isvParams, JSONObject reqParams);

    /** type 自定义业务种类 获取商户号和json数据对象进行特定操作  **/
    String sendPubRequst(String type, String mchNo, String applyId, String jsonStr);

}
